Bug 1460069 - [abrt] radiotray: __init__(): AudioPlayerGStreamer.py:43:__init__:ElementNotFoundError: souphttpsrc
[abrt] radiotray: __init__(): AudioPlayerGStreamer.py:43:__init__:ElementNotF...
Status: NEW
Product: Fedora
Classification: Fedora
Component: radiotray (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jean-Francois Saucier
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2d271134be31b248d0b5bfcc304...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 20:56 EDT by Vadim Raskhozhev
Modified: 2017-07-14 03:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.01 KB, text/plain)
2017-06-08 20:57 EDT, Vadim Raskhozhev
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-08 20:57 EDT, Vadim Raskhozhev
no flags Details
File: cpuinfo (994 bytes, text/plain)
2017-06-08 20:57 EDT, Vadim Raskhozhev
no flags Details
File: environ (2.86 KB, text/plain)
2017-06-08 20:57 EDT, Vadim Raskhozhev
no flags Details
File: mountinfo (5.63 KB, text/plain)
2017-06-08 20:57 EDT, Vadim Raskhozhev
no flags Details
File: namespaces (102 bytes, text/plain)
2017-06-08 20:57 EDT, Vadim Raskhozhev
no flags Details
File: open_fds (530 bytes, text/plain)
2017-06-08 20:57 EDT, Vadim Raskhozhev
no flags Details

  None (edit)
Description Vadim Raskhozhev 2017-06-08 20:56:58 EDT
Description of problem:
Just installed and launched radiotray, got this error

Version-Release number of selected component:
radiotray-0.7.3-8.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python /bin/radiotray
crash_function: __init__
exception_type: ElementNotFoundError
executable:     /bin/radiotray
kernel:         4.11.3-300.fc26.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
AudioPlayerGStreamer.py:43:__init__:ElementNotFoundError: souphttpsrc

Traceback (most recent call last):
  File "/bin/radiotray", line 15, in <module>
    radiotray.main(sys.argv[1:])
  File "/usr/lib/python2.7/site-packages/radiotray/radiotray.py", line 38, in main
    RadioTray()
  File "/usr/lib/python2.7/site-packages/radiotray/RadioTray.py", line 72, in __init__
    self.audio = AudioPlayerGStreamer(self.mediator, self.cfg_provider, eventManager)
  File "/usr/lib/python2.7/site-packages/radiotray/AudioPlayerGStreamer.py", line 43, in __init__
    self.souphttpsrc = gst.element_factory_make("souphttpsrc", "source")
ElementNotFoundError: souphttpsrc

Local variables in innermost frame:
eventManager: <radiotray.events.EventManager.EventManager instance at 0x7f82c3b76758>
cfg_provider: <radiotray.XmlConfigProvider.XmlConfigProvider instance at 0x7f82c3b76638>
self: <radiotray.AudioPlayerGStreamer.AudioPlayerGStreamer instance at 0x7f82c3b76a28>
mediator: <radiotray.StateMediator.StateMediator object at 0x7f82c8d46750>

Potential duplicate: bug 1251562
Comment 1 Vadim Raskhozhev 2017-06-08 20:57:03 EDT
Created attachment 1286267 [details]
File: backtrace
Comment 2 Vadim Raskhozhev 2017-06-08 20:57:05 EDT
Created attachment 1286268 [details]
File: cgroup
Comment 3 Vadim Raskhozhev 2017-06-08 20:57:06 EDT
Created attachment 1286269 [details]
File: cpuinfo
Comment 4 Vadim Raskhozhev 2017-06-08 20:57:08 EDT
Created attachment 1286270 [details]
File: environ
Comment 5 Vadim Raskhozhev 2017-06-08 20:57:10 EDT
Created attachment 1286271 [details]
File: mountinfo
Comment 6 Vadim Raskhozhev 2017-06-08 20:57:11 EDT
Created attachment 1286272 [details]
File: namespaces
Comment 7 Vadim Raskhozhev 2017-06-08 20:57:13 EDT
Created attachment 1286273 [details]
File: open_fds
Comment 8 ghost-87 2017-06-09 12:27:46 EDT
Correct list of dependency packages for the radiotray-0.7.3 :

gstreamer
gstreamer-plugins-base
gstreamer-plugins-good
gstreamer-python
pygtk2-libglade
dbus-python
pygobject3
python-lxml
notify-python
pyxdg


For playing non-free streams (from RPMFusion) (optional):

gstreamer-plugins-bad
gstreamer-ffmpeg
gstreamer-plugins-ugly
Comment 9 Vadim Raskhozhev 2017-06-11 07:39:03 EDT
radiotray with explicitly set free dependencies for f25 and f26 is built at https://copr.fedorainfracloud.org/coprs/dexpl/radiotray/. Would be nice to have it in official Fedora repos.
Comment 10 ghost-87 2017-06-12 05:42:06 EDT
(In reply to Vadim Raskhozhev from comment #9)
> radiotray with explicitly set free dependencies for f25 and f26 is built at
> https://copr.fedorainfracloud.org/coprs/dexpl/radiotray/. Would be nice to
> have it in official Fedora repos.

Tested. In order to make RPM fully working, make the following line in .spec file to look like this:


Requires: pyxdg pygobject3 dbus-python gstreamer-python pygtk2-libglade python-lxml notify-python gstreamer-plugins-good
Comment 11 Vadim Raskhozhev 2017-06-12 07:20:04 EDT
> Requires: pygobject3

Are you sure pygobject3 is actually required? As I see, radiotray cannot work without pygobject2 (not 3), which is dependent on pygtk2.

> Requires: dbus-python pygtk2-libglade

That was actually missing. Fixed in radiotray-0.7.3-10. Please retest.
Comment 12 ghost-87 2017-06-12 08:09:49 EDT
>Are you sure pygobject3 is actually required?

Of course, I'm sure. And not only me - 

https://packages.debian.org/jessie/radiotray

https://aur.archlinux.org/packages/radiotray/


By the way, is it possible to build radiotray with gstreamer1? Author had promised this in 0.8.0 release, but where is he now?)) Debian could somehow (https://packages.debian.org/stretch/radiotray). Gstreamer0.10 is deprecated pile of junk now.
Comment 13 ghost-87 2017-06-12 09:21:49 EDT
>As I see, radiotray cannot work without pygobject2

It's not good. In fresh Debian the radiotray package compiled with gstreamer1 and pygobject3. But Fedora is flagmanship distro, not Debian).
Comment 14 Vadim Raskhozhev 2017-07-14 03:03:15 EDT
Sorry for a delay, I was quite busy for the last month. Just found out that radiotray-0.7.3-10 with (I hope so) correct dependencies was actually missing in the https://copr.fedorainfracloud.org/coprs/dexpl/radiotray/ repo and added it there. So testing is welcome!

> By the way, is it possible to build radiotray with gstreamer1? Author had promised this in 0.8.0 release, but where is he now?)) Debian could somehow (https://packages.debian.org/stretch/radiotray).

I'm going to take a look at that. Stay tuned.

Note You need to log in before you can comment on or make changes to this bug.